import { ApplicationManager, Backend } from "./index";
import { KuzzleConfiguration } from "../../types/config/KuzzleConfiguration";
export declare class BackendConfig extends ApplicationManager {
    /**
     * Configuration content.
     */
    content: KuzzleConfiguration;
    constructor(application: Backend);
    /**
     * Sets a configuration value
     *
     * @deprecated use app.config.content instead
     *
     * @param path - Path to the configuration key (lodash style)
     * @param value - Value for the configuration key
     */
    set(path: string, value: any): void;
    /**
     * Merges a configuration object into the current configuration
     *
     * @deprecated use app.config.content instead
     *
     * @param config - Configuration object to merge
     */
    merge(config: KuzzleConfiguration): void;
}
