import { JSONObject } from "kuzzle-sdk";
import { Connection } from "../../api/request";
import { ApplicationManager } from "./index";
export declare class BackendSubscription extends ApplicationManager {
    /**
     * Registers a new realtime subscription on the specified connection
     *
     * @param connection Connection to register the subscription on
     * @param index Index name
     * @param collection Collection name
     * @param filters Subscription filters
     * @param options.volatile Volatile data
     * @param options.scope Subscription scope
     * @param options.users Option for users notifications
     */
    add(connection: Connection, index: string, collection: string, filters: JSONObject, { volatile, scope, users, }?: {
        volatile?: JSONObject;
        scope?: "in" | "out" | "all" | "none";
        users?: "in" | "out" | "all" | "none";
    }): Promise<{
        roomId: string;
        channel: string;
    }>;
    remove(connection: Connection, roomId: string): Promise<void>;
}
