import { JSONObject } from "kuzzle-sdk";
/**
 * Each connection can subscribe to many rooms with different sets of volatile
 * data.
 *
 * This object is responsible to keep the association between each rooms and the
 * associated volatile data.
 *
 * @property rooms
 */
export declare class ConnectionRooms {
    /**
     * List of subscribed rooms and their associated volatile data
     *
     * Map<roomId, volatile>
     */
    private rooms;
    constructor(rooms?: Map<string, JSONObject>);
    get roomIds(): string[];
    get count(): number;
    addRoom(roomId: string, volatile: JSONObject): void;
    removeRoom(roomId: string): void;
    hasRoom(roomId: string): boolean;
    /**
     * Returns the volatile data for this room subscription
     */
    getVolatile(roomId: string): JSONObject;
}
