import { JSONObject } from "kuzzle-sdk";
/**
 * API error are instances of this class.
 * See https://docs.kuzzle.io/core/2/api/errors/types/
 */
export declare class KuzzleError extends Error {
    /**
     * HTTP status code
     */
    status: number;
    /**
     * Error unique code
     * @see https://docs.kuzzle.io/core/2/api/errors/error-codes/
     */
    code: number;
    /**
     * Error unique identifier
     */
    id: string;
    /**
     * Placeholders used to construct the error message.
     */
    props: string[];
    constructor(message: string, status: number, id?: string, code?: number);
    /**
     * Error class name (e.g: 'NotFoundError')
     */
    get name(): string;
    toJSON(): JSONObject;
}
