/// <reference types="node" />
import { Readable } from "stream";
export type HttpStreamProperties = {
    totalBytes?: number;
};
/**
 * A simple class used to wrap a Readable stream
 * and provide additional informations about the given data
 */
export declare class HttpStream {
    readonly stream: Readable;
    readonly totalBytes: number;
    private _destroyed;
    private get readableState();
    constructor(readableStream: Readable, { totalBytes }?: HttpStreamProperties);
    /**
     * Returns if the stream is errored
     */
    get errored(): boolean;
    /**
     * Get the error
     */
    get error(): Error;
    /**
     * Returns if the stream has been destroyed
     */
    get destroyed(): boolean;
    /**
     * Destroy the stream
     * true if the stream has been destroyed
     */
    destroy(): boolean;
}
