import { JSONObject } from "kuzzle-sdk";
/**
 * Kuzzle authentication token.
 */
export interface Token extends JSONObject {
    /**
     * Unique ID
     */
    _id: string;
    /**
     * Expiration date in Epoch-micro
     */
    expiresAt: number;
    /**
     * Time-to-live
     */
    ttl: number;
    /**
     * Associated user ID
     */
    userId: string;
    /**
     * Associated connection ID
     */
    connectionId: string | null;
    /**
     * JWT token
     */
    jwt: string;
    /**
     * True if the token has been refreshed with the current request
     */
    refreshed: boolean;
    /**
     * Token type, could be authToken or apiKey
     */
    type: string;
}
