import { JSONObject } from "kuzzle-sdk";
import { Koncorde } from "koncorde";
/**
 * Builds a Koncorde v4 index name from the old fashioned index+collection
 * arguments
 *
 * @param {string} index
 * @param {string} collection
 * @return {string}
 */
export declare function toKoncordeIndex(index: string, collection: string): string;
/**
 * Returns an index+collection pair from a Koncorde v4 index name
 *
 * @param {string} index - Koncorde v4 index name
 * @return {{index: string, collection: string}}
 */
export declare function fromKoncordeIndex(index: string): {
    collection: string;
    index: string;
};
/**
 * Quick compat method to start a Koncorde test
 *
 * @param {Koncorde} koncorde instance
 * @param {string} index
 * @param {string} collection
 * @param {JSONObject} body
 * @param {string} [_id]
 */
export declare function koncordeTest(koncorde: Koncorde, index: string, collection: string, body: JSONObject, _id?: string): string[];
/**
 * Extracts the list of Koncorde indexes and translate them into a
 * Kuzzle collections list
 *
 * @param  {Koncorde} koncorde
 * @param  {string}   index - Kuzzle index name
 * @return {string[]}
 */
export declare function getCollections(koncorde: Koncorde, index: string): string[];
/**
 * Extracts the list of Koncorde indexes and translate them into a
 * Kuzzle indexes list
 *
 * @param  {Koncorde} koncorde
 * @return {string[]}
 */
export declare function getIndexes(koncorde: Koncorde): string[];
